Public Class Form1
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        ' Make a DataTable.
        Dim students_table As New DataTable("Students")

        ' Add columns.
        students_table.Columns.Add("FirstName", GetType(String))
        students_table.Columns.Add("LastName", GetType(String))
        students_table.Columns.Add("Quiz Average", GetType(String))

        ' Make the combined FirstName/LastName unique.
        Dim first_last_columns() As DataColumn = { _
            students_table.Columns("FirstName"), _
            students_table.Columns("LastName") _
        }
        students_table.Constraints.Add( _
            New UniqueConstraint(first_last_columns))

        ' Make some contact data.
        students_table.Rows.Add(New Object() {"Art", "Ant", 75})
        students_table.Rows.Add(New Object() {"Bev", "Bug", 80})
        students_table.Rows.Add(New Object() {"Cid", "Cat", 97})
        students_table.Rows.Add(New Object() {"Deb", "Dove", 82})
        students_table.Rows.Add(New Object() {"Ed", "Eager", 67})
        students_table.Rows.Add(New Object() {"Fran", "Fix", 71})
        students_table.Rows.Add(New Object() {"Gus", "Gantry", 88})
        students_table.Rows.Add(New Object() {"Hil", "Harris", 63})

        ' Attach grdStudents to the DataTable.
        grdStudents.DataSource = students_table

        ' Make a style to turn the Quiz Average header yellow.
        Dim header_style As New DataGridViewCellStyle
        header_style.BackColor = Color.Yellow
        grdStudents.Columns(2).HeaderCell.Style = header_style

        ' Disable header visual styles.
        grdStudents.EnableHeadersVisualStyles = False
    End Sub
End Class
